Create Blog Post
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Create a new blog post in GoHighLevel. Requires blog ID, author ID, and category IDs which can be obtained from other blog tools.
Request Body
{
"jsonrpc": "2.0",
"id": "ghl-create-blog-post-example",
"method": "tools/call",
"params": {
"name": "ghl.create_blog_post",
"arguments": {
"title": "",
"blogId": "blogId_123",
"content": "content_example",
"description": "",
"imageUrl": "https://example.com/resource",
"imageAltText": "imageAltText_example",
"urlSlug": "https://example.com/resource",
"author": "author_example",
"categories": [],
"tenantId": "tenantId_123"
}
}
}
Arguments Schema
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"blogId": {
"type": "string"
},
"content": {
"type": "string"
},
"imageUrl": {
"type": "string"
},
"imageAltText": {
"type": "string"
},
"urlSlug": {
"type": "string"
},
"author": {
"type": "string"
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"status": {
"type": "string",
"enum": [
"DRAFT",
"PUBLISHED",
"SCHEDULED",
"ARCHIVED"
]
},
"canonicalLink": {
"type": "string"
},
"publishedAt": {
"type": "string"
}
},
"required": [
"title",
"blogId",
"content",
"description",
"imageUrl",
"imageAltText",
"urlSlug",
"author",
"categories"
]
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-create-blog-post-example",
"method": "tools/call",
"params": {
"name": "ghl.create_blog_post",
"arguments": {
"title": "",
"blogId": "blogId_123",
"content": "content_example",
"description": "",
"imageUrl": "https://example.com/resource",
"imageAltText": "imageAltText_example",
"urlSlug": "https://example.com/resource",
"author": "author_example",
"categories": [],
"tenantId": "tenantId_123"
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "ghl-create-blog-post-example",
"method": "tools/call",
"params": {
"name": "ghl.create_blog_post",
"arguments": {
"title": "",
"blogId": "blogId_123",
"content": "content_example",
"description": "",
"imageUrl": "https://example.com/resource",
"imageAltText": "imageAltText_example",
"urlSlug": "https://example.com/resource",
"author": "author_example",
"categories": [],
"tenantId": "tenantId_123"
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "ghl-create-blog-post-example",
"method": "tools/call",
"params": {
"name": "ghl.create_blog_post",
"arguments": {
"title": "",
"blogId": "blogId_123",
"content": "content_example",
"description": "",
"imageUrl": "https://example.com/resource",
"imageAltText": "imageAltText_example",
"urlSlug": "https://example.com/resource",
"author": "author_example",
"categories": [],
"tenantId": "tenantId_123"
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool ghl.create_blog_post executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}